using System.Collections.Generic;
using PkmnLib.Dynamic.Models;
using PkmnLib.Dynamic.ScriptHandling;
using PkmnLib.Dynamic.ScriptHandling.Registry;

namespace PkmnLib.Plugin.Gen7.Scripts.Side;

[Script(ScriptCategory.Side, "double_power_if_target_damaged_in_turn_data")]
public class DoublePowerIfTargetDamagedInTurnData : Script
{
    public HashSet<IPokemon> _hitPokemon = new();
    
    /// <inheritdoc />
    public override void OnEndTurn()
    {
        RemoveSelf();
    }

    /// <inheritdoc />
    public override void OnDamage(IPokemon pokemon, DamageSource source, uint oldHealth, uint newHealth)
    {
        _hitPokemon.Add(pokemon);
    }
}